Bug 191952 - Infrared irda link and pilot-link broken after update to FC5
Infrared irda link and pilot-link broken after update to FC5
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-16 11:51 EDT by Pierre Francois
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 10:56:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Francois 2006-05-16 11:51:41 EDT
Description of problem:
After upgrading from fc4 to fc5, pilot-link can no longer transmit or receive
files over an infrared link to my PDA (Palm m105).

Version-Release number of selected component (if applicable):
0.11.8

How reproducible:
always

Steps to Reproduce:
1. start service irda (after a lot of work for getting it working without errors
messages in the output of dmesg and the /var/log/message file)
2. start command:
install-user -p /dev/ircomm0 -u 'Pierre Francois' -i 1041652016 
or any other command like pilot-xfer
3. Wait...
  
Actual results:
Nothing happens; no errors in log files

Expected results:
Syncing between PDA and laptop

Additional info:
kernel-2.6.16-1.2111_FC5
irda-utils-0.9.16-7.2.1

/etc/sysconfig/irda file:
IRDA=yes
DEVICE=/dev/ttyS1
#was: DEVICE=/dev/ttyS2
#DONGLE=actisys+
DISCOVERY=yes

/etc/modprobe.d/irda.conf file:
alias tty-ldisc-11 irtty
alias char-major-161 ircomm-tty     # if you want IrCOMM support
alias irlan0 irlan
alias irda-dongle-0  tekram             # Tekram IrMate IR-210B
alias irda-dongle-1  esi                # ESI JetEye
alias irda-dongle-2  actisys            # Actisys IR-220L
alias irda-dongle-3  actisys            # Actisys IR-220L+
alias irda-dongle-4  girbil             # Greenwich GIrBIL
alias irda-dongle-5  litelink           # Parallax LiteLink/ESI JetEye
alias irda-dongle-6  airport            # Adaptec Airport 1000 and 2000
alias irda-dongle-7  old_belkin         # Belkin (old) SmartBeam dongle
alias irda-dongle-8  ep7211_ir          # Cirrus Logic EP7211 Processor (ARM)
alias irda-dongle-9  mcp2120            # MCP2120 (Microchip) based
alias irda-dongle-10 act200l            # ACTiSYS Ir-200L
alias irda-dongle-11 ma600              # Mobile Action ma600
options nsc-ircc irq=3 dma=1 dongle_id=0x09
alias irda0 nsc-ircc
install nsc-ircc /bin/setserial /dev/ttyS1 uart none ; /sbin/modprobe
--ignore-install nsc-ircc
remove nsc-ircc /sbin/modprobe -r --ignore-remove nsc-ircc ; /bin/setserial
/dev/ttyS1 uart unknown
alias char-major-10-187 irnet       # Official allocation of IrNET

Note You need to log in before you can comment on or make changes to this bug.